using System.ComponentModel;

namespace DeviceRepairAndOptimization.Models
{
    /// <summary>
    /// 保养计划表
    /// 对应数据库名称：DriveMaintencePlan
    /// </summary>
    public class DriveMaintencePlan
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [DisplayName("主键ID")]
        public int AutoID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [DisplayName("设备编号")]
        public int EquipmentID { get; set; }

        /// <summary>
        /// 预计保养日期
        /// </summary>
        [DisplayName("预计保养日期")]
        public System.DateTime LastMaintenanceDate { get; set; }

        /// <summary>
        /// 文档版本
        /// </summary>
        [DisplayName("文档版本")]
        public int MaintenanceFormVersion { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DisplayName("备注")]
        public string Remarks { get; set; }
    }
}